Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.util
Class BTMTransactionManagerSynchronizations

    java.lang.Object
      org.jboss.seam.transaction.TransactionManagerSynchronizations
          org.jbpm.kie.services.impl.util.BTMTransactionManagerSynchronizations

All Implemented Interfaces:
  Synchronization, org.jboss.seam.transaction.Synchronizations

    @ApplicationScoped
    @Alternative
    public class BTMTransactionManagerSynchronizations

extends org.jboss.seam.transaction.TransactionManagerSynchronizations

Field Summary

Fields inherited from class org.jboss.seam.transaction.TransactionManagerSynchronizations
`synchronizations, transactions`

Constructor Summary
`BTMTransactionManagerSynchronizations()`

Method Summary
`TransactionManager` | `getTransactionManager()`

Methods inherited from class org.jboss.seam.transaction.TransactionManagerSynchronizations
`afterCompletion, afterTransactionBegin, afterTransactionCompletion, beforeCompletion, beforeTransactionCommit, isAwareOfContainerTransactions, registerSynchronization`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTMTransactionManagerSynchronizations

    public BTMTransactionManagerSynchronizations()

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager()

  Overrides:
    `getTransactionManager` in class `org.jboss.seam.transaction.TransactionManagerSynchronizations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.